summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMark Wielaard <mark@klomp.org>2005-01-17 21:53:03 +0000
committerMark Wielaard <mark@klomp.org>2005-01-17 21:53:03 +0000
commit83902979683787a8aad901f37d61ae7849cc1ce6 (patch)
treea77af50183c1c8bc8a70371c189d3895bf7dd22a /scripts
parent346c030fd62771561b90b1bee5537862673d90d7 (diff)
downloadclasspath-83902979683787a8aad901f37d61ae7849cc1ce6.tar.gz
* scripts/check_jni_methods.sh: Don't use mktemp for TMPFILEs.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check_jni_methods.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/scripts/check_jni_methods.sh b/scripts/check_jni_methods.sh
index 6263cd9dd..5871853aa 100755
--- a/scripts/check_jni_methods.sh
+++ b/scripts/check_jni_methods.sh
@@ -1,9 +1,8 @@
#!/bin/sh
-pattern=/tmp/check-jni-methods.XXXXXX
-TMPFILE=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; }
-TMPFILE2=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; }
-TMPFILE3=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; }
+TMPFILE=check-jni-methods.$$.1
+TMPFILE2=check-jni-methods.$$.2
+TMPFILE3=check-jni-methods.$$.3
# Find all methods defined in the header files generated
# from the java source files.